TikTok Shop

One row per product, summed over tracked creators for the range, by GMV

GET/api/public/v1/tik_tok_shop/products
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id listTikTokShopProducts

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/products?start_date=2026-11-01&end_date=2026-11-01" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
start_datequerystring (date)required
end_datequerystring (date)required
pagequeryinteger Default 1
per_pagequeryinteger Default 20
searchquerystring
campaign_idqueryinteger
creator_idqueryinteger
platformquerystringOne of growiallnon_growi Default growi
organization_idqueryinteger
all_contractsquerystringOne of true
exclude_contestsquerystringOne of true

Responses

200Success

FieldTypeNotes
additional_dataobjectrequired
additional_data.currencystring, nullable
additional_data.currency_symbolstring
additional_data.total_commissionnumber
additional_data.total_gmvnumber
additional_data.total_items_refundedinteger
additional_data.total_refunded_amountnumber
additional_data.total_sku_ordersinteger
additional_data.total_units_soldinteger
dataarray of objectrequired
data[].[].external_product_idstring
data[].[].idstring
data[].[].latest_datestring, nullable
data[].[].product_image_urlstring, nullable
data[].[].product_namestring, nullable
data[].[].sales_creator_countinteger
data[].[].sales_creator_count_formattedstring
data[].[].total_commissionnumber
data[].[].total_commission_formattedstring
data[].[].total_estimated_flat_feenumber
data[].[].total_estimated_flat_fee_formattedstring
data[].[].total_gmvnumber
data[].[].total_gmv_formattedstring
data[].[].total_items_refundedinteger
data[].[].total_items_refunded_formattedstring
data[].[].total_livesinteger
data[].[].total_lives_formattedstring
data[].[].total_refunded_amountnumber
data[].[].total_refunded_amount_formattedstring
data[].[].total_samples_shippedinteger
data[].[].total_samples_shipped_formattedstring
data[].[].total_sku_ordersinteger
data[].[].total_sku_orders_formattedstring
data[].[].total_units_soldinteger
data[].[].total_units_sold_formattedstring
data[].[].total_videosinteger
data[].[].total_videos_formattedstring
metarequired

Example

{
  "additional_data": {
    "currency": "usd",
    "currency_symbol": "string",
    "total_commission": 125.5,
    "total_gmv": 125.5,
    "total_items_refunded": 3,
    "total_refunded_amount": 125.5,
    "total_sku_orders": 3,
    "total_units_sold": 3
  },
  "data": [
    {
      "external_product_id": "string",
      "id": "string",
      "latest_date": "2026-11-01",
      "product_image_url": "https://example.com/p/1",
      "product_name": "Example name",
      "sales_creator_count": 3,
      "sales_creator_count_formatted": "string",
      "total_commission": 125.5,
      "total_commission_formatted": "string",
      "total_estimated_flat_fee": 125.5,
      "total_estimated_flat_fee_formatted": "string",
      "total_gmv": 125.5,
      "total_gmv_formatted": "string",
      "total_items_refunded": 3,
      "total_items_refunded_formatted": "string",
      "total_lives": 3,
      "total_lives_formatted": "string",
      "total_refunded_amount": 125.5,
      "total_refunded_amount_formatted": "string",
      "total_samples_shipped": 3,
      "total_samples_shipped_formatted": "string",
      "total_sku_orders": 3,
      "total_sku_orders_formatted": "string",
      "total_units_sold": 3,
      "total_units_sold_formatted": "string",
      "total_videos": 3,
      "total_videos_formatted": "string"
    }
  ],
  "meta": {
    "current_page": 1,
    "next_page": 1,
    "prev_page": 1,
    "row_count": 3,
    "total_pages": 1,
    "page_size": 1
  }
}

Errors: 401422with an error and usually a message. See errors.

Example values are made up from each field's type and name.